<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/Node.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::Node</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class Node

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Node.hh.html" target="detail">../Synopsis/PTree/Node.hh</a></div> <div class="xref"><a href="../../../XRef/xref11.html#Synopsis_mPTree_mNode" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line24" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="Node-inheritance" src="Node-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Node-inheritance_map" />
<map name="Node-inheritance_map"><area alt="Scopes/Synopsis/PTree/List.html" href="List.html" shape="rect" coords="9, 81, 153, 105" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;<i>destructor</i> <a class="name" id="_tNode_l_r">~Node</a>()  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_m_tNode_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line27" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;bool <a class="name" id="is_atom_l_rconst">is_atom</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mis_atom_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line28" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lVisitor_S_r">accept</a>(<a href="Visitor.html" >Visitor</a>* <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_maccept_lVisitor_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line29" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;char* <span class="name"><a href="Node.html#begin_l_rconst" >begin</a></span>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mbegin_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line32" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>return the start address of this Ptree in the buffer</p>
</div></div>
<div class="item"><div class="synopsis">&#160;const&#160;char* <span class="name"><a href="Node.html#end_l_rconst" >end</a></span>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mend_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line34" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>return the one-past-the-end address of this Ptree in the buffer</p>
</div></div>
<div class="item"><div class="synopsis">&#160;const&#160;char* <a class="name" id="position_l_rconst">position</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mposition_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line36" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;size_t <a class="name" id="length_l_rconst">length</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mlength_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line37" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="Node.html" >Node</a>* <a class="name" id="car_l_rconst">car</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mcar_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line39" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>* <a class="name" id="car_l_r">car</a>()  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mcar_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line40" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;<a href="Node.html" >Node</a>* <a class="name" id="cdr_l_rconst">cdr</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mcdr_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line41" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Node.html" >Node</a>* <a class="name" id="cdr_l_r">cdr</a>()  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mcdr_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line42" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="set_car_lNode_S_r">set_car</a>(<a href="Node.html" >Node</a>* <span class="variable">p</span>)  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mset_car_lNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line43" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="set_cdr_lNode_S_r">set_cdr</a>(<a href="Node.html" >Node</a>* <span class="variable">p</span>)  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mset_cdr_lNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line44" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span> <a href="Encoding.html" >Encoding</a> <a class="name" id="encoded_type_l_rconst">encoded_type</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mencoded_type_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line46" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span> <a href="Encoding.html" >Encoding</a> <a class="name" id="encoded_name_l_rconst">encoded_name</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mencoded_name_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line47" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Protected Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <span class="name"><a href="Node.html#Node_lconst.char_S_csize_t_r" >Node</a></span>(const&#160;char* <span class="variable">ptr</span>, size_t <span class="variable">len</span>)  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mNode_lconst.char_S_csize_t_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line51" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>used by Atom</p>
</div></div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <span class="name"><a href="Node.html#Node_lNode_S_cNode_S_r" >Node</a></span>(<a href="Node.html" >Node</a>* <span class="variable">p</span>, <a href="Node.html" >Node</a>* <span class="variable">q</span>)  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mNode_lNode_S_cNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line53" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>used by List</p>
</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Unions Summary:</div>
<div class="item"><div class="synopsis">union <a href="Node/`0097.html" >`0097</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line56" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis"><a href="Node/`0097.html" >`0097</a> <a class="name" id="my_data">my_data</a></div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mmy_data" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line67" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Public Member functions Details:</div>
<div class="item"><div class="synopsis">&#160;const&#160;char* <a class="name" id="begin_l_rconst">begin</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mbegin_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line32" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>return the start address of this Ptree in the buffer</p>
</div></div>
<div class="item"><div class="synopsis">&#160;const&#160;char* <a class="name" id="end_l_rconst">end</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mend_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line34" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>return the one-past-the-end address of this Ptree in the buffer</p>
</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Protected Member functions Details:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Node_lconst.char_S_csize_t_r">Node</a>(const&#160;char* <span class="variable">ptr</span>, size_t <span class="variable">len</span>)  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mNode_lconst.char_S_csize_t_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line51" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>used by Atom</p>
</div></div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Node_lNode_S_cNode_S_r">Node</a>(<a href="Node.html" >Node</a>* <span class="variable">p</span>, <a href="Node.html" >Node</a>* <span class="variable">q</span>)  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mNode_mNode_lNode_S_cNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line53" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>used by List</p>
</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:51 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
